part of mahg_essential_package;

class ProcessResult<T> {
  bool success;
  T? data;
  String? errorMessage;
  String? innerError;
  String? token;

  /// the return type for all functions
  ProcessResult({
    this.success = false,
    this.data,
    this.errorMessage,
    this.innerError,
    this.token,
  });

  @override
  toString() {
    if (success == true)
      return '>>>>>>>>>> Success, Message: $errorMessage';
    else
      return 'XXXXXXXXXX FAILED:  Message: $errorMessage ';
  }
}
